## pirs 2.0.2+dfsg

=== Makefile ===
all: simulator stator symlinks

PERL_LIST = stator/baseCallingMatrix/baseCalling_Matrix_analyzer \
	stator/baseCallingMatrix/baseCalling_Matrix_calculator \
	stator/baseCallingMatrix/baseCalling_Matrix_merger \
	stator/alignment_stator \
	stator/indelstat_sam_bam \
	stator/gcContCvgBias/gc_coverage_bias_plot

simulator:
	cd ./src/pirs && ${MAKE} -f gccMakefile

stator:
	cd ./src/stator/gcContCvgBias && ${MAKE}

symlinks:
	-@ln -s ./src/pirs/pirs 2> /dev/null
	-@ln -s ./src/stator/gcContCvgBias/gc_coverage_bias 2> /dev/null
	-@ln -s ./src/stator/alignment_stator.pl alignment_stator 2> /dev/null
	-@for P in ${PERL_LIST}; do \
	    ln -s ./src/$${P}.pl `basename $${P}` 2> /dev/null; \
	done

test: all
	cd ./src/pirs && ${MAKE} -f gccMakefile test
	cd ./src/stator/gcContCvgBias && ${MAKE} test

distclean:
	cd ./src/pirs && ${MAKE} -f gccMakefile distclean
	cd ./src/stator/gcContCvgBias && ${MAKE} distclean
	-rm pIRS_*.tgz

tDATE := $(shell date +%Y%m%d)
tTIME := $(shell date +%H%M%S)
dist: all distclean
	@echo "Packing pIRS_$(tDATE).tar.gz ..."
	@tar -czf /var/tmp/pIRS_$(tDATE)_$(tTIME).tgz --exclude '.git*' .
	@mv /var/tmp/pIRS_$(tDATE)_$(tTIME).tgz ./pIRS_$(tDATE).tgz

clean: distclean
	cd ./src/pirs && ${MAKE} -f gccMakefile clean
	cd ./src/stator/gcContCvgBias && ${MAKE} clean
	-rm pirs gc_coverage_bias
	-@for P in ${PERL_LIST}; do \
	    rm `basename $${P}`; \
	done

.PHONY push:
	git push github master
	git push
	git push google master

=== src/stator/gcContCvgBias/Makefile ===
ifeq ($(shell uname -s),Darwin)
CPPFLAGS += -march=core2 -Bstatic -L/opt/local/lib -I/opt/local/include
else
CPPFLAGS += -static
endif

GCC_VERSION := $(shell gcc -dumpversion)
GCC_MAJOR := $(shell echo $(GCC_VERSION) | cut -d'.' -f1)
GCC4_VER := $(shell echo $(GCC_VERSION) | cut -d'.' -f2,3)

ifeq ($(GCC_MAJOR),4)
ifeq ($(shell expr 2.4 \<= $(GCC4_VER)),1)
CPPFLAGS += -march=native
endif
ifeq ($(shell expr 3.6 \<= $(GCC4_VER)),1)
CPPFLAGS += -std=c++0x
endif
endif


OBJ = gzstream.o self_util.o main.o stat_soap_coverage.o
CC = g++
LIBRARY = -O3 -pipe $(CPPFLAGS) -mtune=generic -pedantic -Wfloat-equal \
#-Wall

gc_coverage_bias:${OBJ}
	${CC} -o gc_coverage_bias ${LIBRARY} ${OBJ} -lz
gzstream.o:gzstream.h gzstream.cpp
	${CC} -c ${LIBRARY} gzstream.h gzstream.cpp
self_util.o:self_util.cpp self_util.h
	${CC} -c ${LIBRARY} self_util.cpp self_util.h
main.o:main.cpp
	${CC} -c ${LIBRARY} main.cpp
stat_soap_coverage.o:stat_soap_coverage.h stat_soap_coverage.cpp
	${CC} -c ${LIBRARY} stat_soap_coverage.h stat_soap_coverage.cpp

test: gc_coverage_bias
	./gc_coverage_bias -r gcdeptestref.fa.gz -o test -w 100,200 --gcdump --depwindump gcdeptest.depth.gz
	-./gc_coverage_bias_plot.pl test_100.dat
	-./gc_coverage_bias_plot.pl test_200.dat
	ls -l test*

distclean: compclean
	-rm -v test_*

compclean:
	-rm -v ${OBJ} *.gch

clean: distclean
	-rm gc_coverage_bias

## pirs 2.0.2%2Bdfsg

=== debian/control ===
Source: pirs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-dev,
               zlib1g-dev,
               libgzstream-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pirs
Vcs-Git: https://salsa.debian.org/med-team/pirs.git
Homepage: https://github.com/galaxy001/pirs
Rules-Requires-Root: no

Package: pirs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pirs-profiles,
         fonts-liberation,
         gnuplot-qt | gnuplot
Description: Profile based Illumina pair-end Reads Simulator
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.

Package: pirs-profiles
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: profile basd Illumina pair-end Reads Simulator (profile data)
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.
 .
 This package contains the profile data.

Package: pirs-examples
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: profile basd Illumina pair-end Reads Simulator (example data)
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.
 .
 This package contains some example data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBOOST_TIMER_ENABLE_DEPRECATED

include /usr/share/dpkg/default.mk

PERLDIR    := debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

confflags := --enable-pirs-diploid
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture --query DEB_HOST_ARCH_CPU)
ifneq ($(DEB_HOST_ARCH_CPU),amd64 kfreebsd-amd64 x32)
	confflags += --disable-sse2
endif

%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean
	cd src && ./srclean.sh >/dev/null 2>/dev/null || true

override_dh_autoreconf:
	cd src && \
	mv INSTALL INSTALL.save && \
	autoreconf --install && \
	mv INSTALL.save INSTALL && \
	cd $(CURDIR)

override_dh_auto_configure:
#	dh_auto_configure -- --datadir=/usr/share/pirs # this should be default now
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=src/stator/gcContCvgBias -- CC='$$(CXX)'

override_dh_auto_install:
	dh_auto_install --sourcedirectory=src/stator/gcContCvgBias

override_dh_install:
	dh_install
	mkdir -p $(PERLDIR)
	find src -name "*.pl" -exec cp -a \{\} $(PERLDIR) \;
	rm -f $(PERLDIR)/autobam.pl
	# Fix perl interpreter path
	for pl in `grep -Rl '#![/usr]*/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![/usr]*/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_link-arch:
	dh_link -a
	for pl in $(PERLDIR)/*.pl ; do \
	    plname=`basename $${pl}` ; \
	    ln -s ../lib/$(DEB_SOURCE)/$${plname} debian/$(DEB_SOURCE)/usr/bin/`basename $${plname} .pl` ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs-arch:
	dh_installdocs -a
	cp -a src/stator/readme.txt debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/strator_readme.txt

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/lib -name "*.pl" -exec chmod +x \{\} \;

## pirs 2.0.2+dfsg

=== debian/changelog ===
pirs (2.0.2+dfsg-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 12:01:22 +0100

pirs (2.0.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: (Closes: #928856)
    + Let dh_auto_build pass cross tools to make.
    + Pass C++ compiler as CC.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 12 May 2019 09:51:09 +0200

pirs (2.0.2+dfsg-7) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix Perl interpreter path
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 21:35:39 +0200

pirs (2.0.2+dfsg-6) unstable; urgency=medium

  * Do not disable PIE (thanks for the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #865655
  * Standards-Version: 4.1.0 (no changes needed)
  * Depends: s/ttf-liberation/fonts-liberation/
    Closes: #861367
  * Drop autoreconf dependency which is useless with debhelper 10
  * d/rules: Do not parse d/changelog
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 10:44:45 +0200

pirs (2.0.2+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to remove -mtune from compiler flags for gcContCvgBias
  * Don't disable SSE2 support on kfreebsd-amd64 and x32

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 14 Jan 2017 17:29:49 +0100

pirs (2.0.2+dfsg-5) unstable; urgency=medium

  * Do not use non-free font arial.ttf but rather LiberationSans-Regular.ttf
    from ttf-liberation (this also fixes autopkgtest)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2017 09:44:38 +0100

pirs (2.0.2+dfsg-4) unstable; urgency=medium

  * Really fix build for -A
    Closes: #847339

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 16:35:40 +0100

pirs (2.0.2+dfsg-3) unstable; urgency=medium

  * Fix build for -A
    Closes: #847339
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 13:01:38 +0100

pirs (2.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ghislain Antony Vaillant ]
  * Add patch fixing spelling of sse2 option.
  * Disable SSE2 optimization for all but amd64.
    Thanks to John Paul Adrian Glaubitz for reporting (Closes: #846330)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 30 Nov 2016 13:22:22 +0000

pirs (2.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #835935)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2016 15:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libboost-dev,
                zlib1g-dev,
                libgzstream-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/pirs
 Vcs-Git: https://salsa.debian.org/med-team/pirs.git
 Homepage: https://github.com/galaxy001/pirs
@@ -19,7 +19,7 @@
          ${misc:Depends},
          pirs-profiles,
          fonts-liberation,
-         gnuplot-qt | gnuplot
+         gnuplot
 Description: Profile based Illumina pair-end Reads Simulator
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
@@ -42,7 +42,6 @@
 Package: pirs-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (profile data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
@@ -67,7 +66,6 @@
 Package: pirs-examples
 Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (example data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as

=== debian/tests/control ===
Tests: gcContCvgBias-test, pirs-test
Depends: @, pirs-examples
